summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorranke <ranke@f247ebf9-aa24-0410-a698-f940e971ad2b>2011-05-04 20:38:47 +0000
committerranke <ranke@f247ebf9-aa24-0410-a698-f940e971ad2b>2011-05-04 20:38:47 +0000
commite35284fd396e6a82a4bfa1842e238f82d61cab83 (patch)
treea74a38489d35829fd5eee534f439095a1776777f
parentbaa647f87637ea55afc76fb5fd13f934d219191f (diff)
Include r-cran-rjags for squeeze
git-svn-id: svn+ssh://stiller/home/schatz/reps/r-backports@71 f247ebf9-aa24-0410-a698-f940e971ad2b
-rw-r--r--backport_jags.sh50
-rw-r--r--backport_others.sh4
-rw-r--r--build_jags.sh29
-rw-r--r--build_others.sh4
4 files changed, 83 insertions, 4 deletions
diff --git a/backport_jags.sh b/backport_jags.sh
new file mode 100644
index 0000000..288f787
--- /dev/null
+++ b/backport_jags.sh
@@ -0,0 +1,50 @@
+#!/bin/bash
+
+# Script to automate backporting jags for CRAN
+
+# Author: Johannes Ranke <jranke@uni-bremen.de>
+
+# On Debian I used to run this script as root. On Ubuntu I now run it with
+# sudo -E sh backport_r-base.sh
+
+# Preconditions: - shell variables DIST and ARCH
+# - sid sources in /etc/apt/sources/list
+# - cdbs installed (and maybe more)
+
+export DEBEMAIL="jranke@uni-bremen.de"
+export DEBFULLNAME="Johannes Ranke"
+echo Distribution is $DIST
+echo Architecture is $ARCH
+
+if [ -d jags-* ]
+then
+ rm -rf `ls -d jags-*`
+fi
+
+apt-get update
+apt-get source jags
+
+cd jags-*
+
+# Old version
+oldversion=`dpkg-parsechangelog | grep ^Version | cut -f2 -d " "`
+cranversion=$oldversion"~"$DIST"cran.0"
+
+echo Old version is $oldversion
+echo CRAN version is $cranversion
+
+# Add new version to changelog
+dch -v "${cranversion}" --force-distribution -D $DIST-cran -b "Backport from Debian unstable to Debian $DIST"
+
+# Reverts for squeeze and lenny:
+# None at present
+
+# Reverts for lenny only:
+
+pbuilder update
+pdebuild --debbuildopts '-sa' --buildresult /home/ranke/svn/website/www/ranke/r-cran/$DIST-cran/ -- --distribution $DIST --basetgz /var/cache/pbuilder/$DIST-$ARCH-base.tgz --aptcache /var/cache/pbuilder/$DIST-$ARCH/aptcache --buildplace /var/cache/pbuilder/$DIST-$ARCH/build
+if [ $? -ne 0 ]; then
+ exit
+fi
+
+cd ..
diff --git a/backport_others.sh b/backport_others.sh
index 163a5b0..1976755 100644
--- a/backport_others.sh
+++ b/backport_others.sh
@@ -22,8 +22,8 @@ text="Recompiled on $DIST for CRAN"
apt-get update
pbuilder update
-#for i in rkward; do
-for i in boot cluster codetools foreign kernsmooth lattice mgcv nlme r-cran-class r-cran-spatial r-cran-nnet r-cran-mass rmatrix rodbc rpart survival littler rpy rkward; do
+for i in r-cran-rjags; do
+#for i in boot cluster codetools foreign kernsmooth lattice mgcv nlme r-cran-class r-cran-spatial r-cran-nnet r-cran-mass rmatrix rodbc rpart survival littler rpy rkward; do
apt-get source $i
cd $i-*
version=`dpkg-parsechangelog | grep ^Version | cut -f2 -d " "`~$DIST"cran".$Rversion
diff --git a/build_jags.sh b/build_jags.sh
new file mode 100644
index 0000000..3051158
--- /dev/null
+++ b/build_jags.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+# Script to automate building jags binaries for CRAN
+
+# Author: Johannes Ranke <jranke@uni-bremen.de>
+
+# On Debian I used to run this script as root. On Ubuntu I now run it with
+# sudo -E sh build_r-base.sh
+
+# Preconditions: - shell variables DIST and ARCH
+# - matching CRAN sources in /etc/apt/sources/list
+# - cdbs installed (and maybe more)
+
+echo Distribution is $DIST
+echo Architecture is $ARCH
+
+apt-get update
+apt-get source jags
+
+cd jags-*
+
+pbuilder update
+
+pdebuild --buildresult /home/ranke/svn/website/www/ranke/r-cran/$DIST-cran/ -- --binary-arch --distribution $DIST --basetgz /var/cache/pbuilder/$DIST-$ARCH-base.tgz --aptcache /var/cache/pbuilder/$DIST-$ARCH/aptcache --buildplace /var/cache/pbuilder/$DIST-$ARCH/build
+if [ $? -ne 0 ]; then
+ exit
+fi
+
+cd ..
diff --git a/build_others.sh b/build_others.sh
index 671ed92..a9b6b45 100644
--- a/build_others.sh
+++ b/build_others.sh
@@ -13,8 +13,8 @@ echo Architecture is $ARCH
apt-get update
pbuilder update
-#for i in rkward; do
-for i in cluster foreign lattice mgcv nlme r-cran-class r-cran-spatial r-cran-nnet r-cran-mass kernsmooth rmatrix rodbc rpart survival littler rpy rkward; do
+for i in r-cran-rjags; do
+#for i in cluster foreign lattice mgcv nlme r-cran-class r-cran-spatial r-cran-nnet r-cran-mass kernsmooth rmatrix rodbc rpart survival littler rpy rkward; do
apt-get source $i
cd $i-*

Contact - Imprint